import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, s = (p, e, i, o) => {
  for (var t = o > 1 ? void 0 : o ? m(e, i) : e, c = p.length - 1, r; c >= 0; c--)
    (r = p[c]) && (t = (o ? r(e, i, t) : r(t)) || t);
  return o && t && g(e, i, t), t;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--googleStatic", this.class = "c-pieIcon c-pieIcon--googleStatic", this.name = "IconSocialGoogleStatic";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--googleStatic"><path fill="#fbc02d" d="M14.648 6.672h-.546v-.028H8v2.712h3.832A4.066 4.066 0 0 1 3.932 8 4.07 4.07 0 0 1 8 3.932c1.037 0 1.98.39 2.699 1.03l1.918-1.918A6.75 6.75 0 0 0 8 1.22a6.78 6.78 0 1 0 6.648 5.452"></path><path fill="#e53935" d="m2.002 4.844 2.227 1.634A4.07 4.07 0 0 1 8 3.932c1.037 0 1.98.39 2.699 1.03l1.918-1.918A6.75 6.75 0 0 0 8 1.22a6.78 6.78 0 0 0-5.998 3.624"></path><path fill="#4caf50" d="M8 14.78c1.751 0 3.342-.67 4.546-1.76l-2.099-1.776A4.04 4.04 0 0 1 8 12.068a4.07 4.07 0 0 1-3.825-2.694l-2.211 1.704A6.78 6.78 0 0 0 8 14.78"></path><path fill="#1565c0" d="m14.648 6.672-.005-.028H8v2.712h3.832a4.1 4.1 0 0 1-1.385 1.888l2.099 1.776c-.149.135 2.234-1.63 2.234-5.02 0-.455-.047-.899-.132-1.328"></path></svg>`;
  }
};
s([
  a({ type: String, reflect: !0 })
], l.prototype, "size", 2);
s([
  a({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = s([
  f("icon-social-google-static")
], l);
export {
  l as IconSocialGoogleStatic
};
